[Overview][Constants][Classes][Procedures and functions][Index] | Reference for unit 'Pipes' (#fcl)

# TInputPipeStream.NumBytesAvailable

Number of bytes available for reading.

## Declaration

Source position: pipes.pp line 42

`public property TInputPipeStream.NumBytesAvailable: DWord read GetNumBytesAvailable;`

## Description

NumBytesAvailable is the number of bytes available for reading. This is the number of bytes in the OS buffer for the pipe. It is not a number of bytes in an internal buffer.

If this number is nonzero, then reading NumBytesAvailable bytes from the stream will not block the process. Reading more than NumBytesAvailable bytes will block the process, while it waits for the requested number of bytes to become available.

## See also

TInputPipeStream.Read |  | Read data from the stream to a buffer.

The latest version of this document can be found at lazarus-ccr.sourceforge.net.